<?= $this->extend('layout/dashboard') ?>

<?= $this->section('content') ?>

<div class="container">
    <h2>Requests for User: <?= esc($user['username']) ?></h2>
    <table class="table table-striped">
        <thead>
            <tr>
                <th>Request ID</th>
                <th>Status</th>
                <th>Created At</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($requests as $request): ?>
            <tr>
                <td><?= esc($request['unique_id']) ?></td>
                <td><?= esc($request['status']) ?></td>
                <td><?= $request['created_at'] ?></td>
                <td>
                    <a href="<?= base_url('requests/view/' . $request['id']) ?>" class="btn btn-sm btn-primary">View</a>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    <a href="<?= base_url('user-management') ?>" class="btn btn-secondary">Back to User Management</a>
</div>

<?= $this->endSection() ?>